Subject: Re: [PATCH net-next v2 0/9] hsr: Implement more robust duplicate discard algorithm

From: Felix Maurer <[email-masked]>
Date: Mon, 26 Jan 2026 10:28:18 +0100

On Thu, Jan 22, 2026 at 05:35:56PM -0800, Jakub Kicinski wrote:
> Transient build breakage here - patches 4-7 don't build and will break
> bisection. Perhaps wait a few days to give a chance for Sebastian to
> TAL before reposting tho?

The build breaks because I didn't update the KUnit test for the PRP
duplicate discard algorithm in patch 4 and 6 to keep the patches a bit
smaller. But the build succeeds without
CONFIG_PRP_DUP_DISCARD_KUNIT_TEST, which is probably not active in most
bisection runs.

I'll wait for feedback from Sebastian, but I'm also fine with merging
the fixes for the KUnit test into the other patches and reposting.

Thanks,
   Felix